Page MenuHomePhabricator

build: create two versions of ARM builtins
ClosedPublic

Authored by compnerd on Sep 24 2015, 10:29 PM.

Details

Reviewers
rengolin
jroelofs
Summary

This adds a new name for ARM32 (armhf). We now force that the default build for
ARM32 (arm) to be soft-float ABI. This has a corresponding clang change to look
for these names based on the floating point ABI. The functions are built
identically (the functions are marked as AAPCS, so the calling convention does
not change, as per the RTABI specification), however, the object file contains
attributes indicating the build configuration which the linker will ensure are
not mix and matched. We now built the appropriate named archive so that we can
link properly.

Diff Detail

Event Timeline

compnerd updated this revision to Diff 35699.Sep 24 2015, 10:29 PM
compnerd retitled this revision from to build: create two versions of ARM builtins .
compnerd updated this object.
compnerd added reviewers: jroelofs, rengolin.
compnerd added a subscriber: llvm-commits.
jroelofs accepted this revision.Sep 25 2015, 11:41 AM
jroelofs edited edge metadata.

LGTM

This revision is now accepted and ready to land.Sep 25 2015, 11:41 AM
compnerd closed this revision.Oct 4 2015, 11:50 AM